#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-6qqvYTtFsJeRGu0VrYB18
key:                  ghcide-1.10.0.0-6qqvYTtFsJeRGu0VrYB18
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  65e3a6492df95429759a6f0594b61c16
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-6qqvYTtFsJeRGu0VrYB18
depends:
    Diff-0.4.1-FQGoMszL7yvHgYjHqpLdBw
    Glob-0.10.2-BcJZTkVYAMPAVXEc7RmLJp
    aeson-2.1.2.1-6n6lUoaCpqbLqGz4R2odoW
    aeson-pretty-0.8.10-96MHitlAKcjBHWEtkkLcG2 array-0.5.4.0
    async-2.2.5-cqcrAyJc5KBpUy7cUuVT7 base-4.16.4.0
    base16-bytestring-1.0.2.0-6am4HAEozKG2acVuW9SjDR binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-KEn2hkRTWhZ23pGG8K2iDV
    co-log-core-0.3.2.3-KHiGRWM1Oj6CMak12uvjyc containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-6VInAVeGAVW9RCa4brCOWW
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-GfI8H6lrTlIHj3Zwea6Orz
    dependent-sum-0.7.2.0-9WHFMCivjW71nK3atirmTO directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-85zQs9XkJKL9g5XLOiM39c exceptions-0.10.4
    extra-1.7.16-FrrOnwkV5P381Hwmeou3lF filepath-1.4.2.2
    fingertree-0.1.5.0-FElNsZpmvC3Eok5oGczSRT
    focus-1.0.3.2-KjcBv5Nes4KJIhPLw5tDQJ ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-3CTasC6lICa2JxxuwvrD5e
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-DUyI2D4rNOiDBoOMyZfeq8
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    hie-bios-0.12.0-LMNAqN5T2OE4zKeaT5YVJV
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-2tUUyt9CiqJAse2lTXqtwx
    hls-graph-1.9.0.0-8R8Vc0dSb9BIVu4NyGljvX
    hls-plugin-api-1.6.0.0-GcsHpu1hg84Jaf5tgljpVE
    implicit-hie-0.1.2.7-5Gn0l8po1BUKlmIgvAEKu2
    implicit-hie-cradle-0.5.0.1-7DmTwKm93H09jPKxSjKPj3
    lens-5.2.3-E9qTqYswc1XFU8czBYRRKh
    list-t-1.0.5.5-4TWiUu1GlOyDcRmjEraEv7
    lsp-1.6.0.0-DgpdKqeCPsu2SfDd6DtxMi
    lsp-types-1.6.0.1-EZLQtzQ9c1B2WeNZth7t6C mtl-2.2.2
    opentelemetry-0.8.0-6IG76D4X1LTBhYjppKi2nQ
    optparse-applicative-0.17.1.0-9B5O8ePYjUG8evKtX1T4ou
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-6K4FrB3f98hJ1k4LOqp6jS
    prettyprinter-ansi-terminal-1.1.3-4CL2kmWKZcg8TbnwiOzmlf
    random-1.2.1.2-F9rVStWFtZE3PBeMKQuK89
    regex-tdfa-1.3.2.2-DLHXQcbmHoIEQ3jvJUiJ2D
    safe-exceptions-0.1.7.4-GPoXaqbHmse2qLBXsbf3lC
    sorted-list-0.2.2.0-5Rq9ZsbH4bJCu5DC6yICEJ
    sqlite-simple-0.4.19.0-9EjZ3R3RCT97xewrlNjTED stm-2.5.0.2
    stm-containers-1.2.1.1-EBtFD64Cg2xLe9o3SKRzCI
    syb-0.7.2.4-7ynUdJcB17N8mF8LpyS12V text-1.2.5.0
    text-rope-0.3-3o9dslmtje1Dz1yj93o2Vj time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.1-8L6BiCnh80y1RfJtEqTngb
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-1oXBHIneMBm69TPTD2tYrr
    vector-0.13.1.0-fp7g3DnwvJ21p5JSIbLxP

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

